Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.junit.client
Class Trial

    java.lang.Object
      com.google.gwt.junit.client.Trial

All Implemented Interfaces:
  IsSerializable

    public class Trial

extends java.lang.Object
implements IsSerializable

The result of a single trial-run of a single benchmark method. Each Trial contains the results of running a benchmark method with one set of values for its parameters. TestResults for a method will contain Trials for all permutations of the parameter values. For test methods without parameters, there is only 1 trial result.

Constructor Summary
`Trial()`
`Trial(java.util.Map variables, double runTimeMillis, com.google.gwt.junit.client.impl.ExceptionWrapper exceptionWrapper)` Creates a new Trial.

Method Summary
`java.lang.Throwable` | `getException()`
`com.google.gwt.junit.client.impl.ExceptionWrapper` | `getExceptionWrapper()`
`double` | `getRunTimeMillis()`
`java.util.Map` | `getVariables()` Returns the names and values of the variables used in the test.
`void` | `setException(java.lang.Throwable exception)`
`void` | `setExceptionWrapper(com.google.gwt.junit.client.impl.ExceptionWrapper exceptionWrapper)`
`void` | `setRunTimeMillis(double runTimeMillis)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Trial

    public Trial(java.util.Map variables,
                 double runTimeMillis,
                 com.google.gwt.junit.client.impl.ExceptionWrapper exceptionWrapper)

  Creates a new Trial.

  Parameters:
    `runTimeMillis` - The amount of time spent executing the test
    `exceptionWrapper` - The wrapped getException thrown by the the last test, or `null` if the last test completed successfully.

### Trial

    public Trial()

Method Detail

### getException

    public java.lang.Throwable getException()

### getExceptionWrapper

    public com.google.gwt.junit.client.impl.ExceptionWrapper getExceptionWrapper()

### getRunTimeMillis

    public double getRunTimeMillis()

### getVariables

    public java.util.Map getVariables()

  Returns the names and values of the variables used in the test. If there were no variables, the map is empty.

### setException

    public void setException(java.lang.Throwable exception)

### setExceptionWrapper

    public void setExceptionWrapper(com.google.gwt.junit.client.impl.ExceptionWrapper exceptionWrapper)

### setRunTimeMillis

    public void setRunTimeMillis(double runTimeMillis)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD